namespace DataSharing.Share.Dtos.YiBin.ConvergenceMedia
{
    public class MediaDataReceiveDto
    {
        /// <summary>
        /// 密钥
        /// </summary>
        [MDisplayName("密钥")]
        [VRequired]
        public string Code { get; set; }

        /// <summary>
        /// 受理类型编码
        /// </summary>
        [MDisplayName("受理类型编码")]
        [VRequired]
        public int PurTypeID { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [MDisplayName("标题")]
        [VRequired]
        [VStringLength(0, 200)]
        public string Title { get; set; }

        /// <summary>
        /// 来电人名称
        /// </summary>
        [MDisplayName("来电人名称")]
        [VRequired]
        [VStringLength(0, 20)]
        public string LinkName { get; set; }

        /// <summary>
        /// 性别 0：未知，1：男，2：女
        /// </summary>
        [MDisplayName("性别")]
        public string Gender { get; set; } = "0";

        /// <summary>
        /// 联系电话
        /// </summary>
        [MDisplayName("联系电话")]
        [VRequired]
        [VStringLength(0, 20)]
        public string Mobile { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>
        [MDisplayName("邮箱")]
        [VStringLength(0, 100)]
        public string Mail { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        [MDisplayName("地址")]
        [VRequired]
        [VStringLength(0, 200)]
        public string Address { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        [MDisplayName("内容")]
        [VRequired]
        [VStringLength(0, 7000)]
        public string Content { get; set; }

        /// <summary>
        /// 是否保密： 0、不保密 ；1、保密
        /// </summary>
        [MDisplayName("是否保密")]
        [VRequired]
        public int Secrecy { get; set; }

        /// <summary>
        /// 区域类型编码
        /// </summary>
        [MDisplayName("区域类型编码")]
        [VRequired]
        public int AreaID { get; set; }

    }
}
